SDL_HasPrimarySelectionText(3)

NAME
SDL_HasPrimarySelectionText - Query whether the primary selection exists and contains a non-empty text string.

HEADER FILE
Defined in SDL3/SDL_clipboard.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_HasPrimarySelectionText(void);

RETURN VALUE
Returns true if the primary selection has text, or false if it does not.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetPrimarySelectionText(3), •(3), SDL_SetPrimarySelectionText(3)